Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1693790 - Unable to install host in maintenance
Summary: Unable to install host in maintenance
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ansible
Version: 4.3.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ovirt-4.3.4
: ---
Assignee: Ondra Machacek
QA Contact: Petr Kubica
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-28 16:03 UTC by Steffen Froemer
Modified: 2019-04-14 13:42 UTC (History)
2 users (show)

Fixed In Version: ansible-2.8.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ansible ansible pull 54594 None None None 2019-03-29 14:15:07 UTC

Description Steffen Froemer 2019-03-28 16:03:20 UTC
Description of problem:
Based on bz#1561539 it's possible to install hosts, which are not activated after installation.


Version-Release number of selected component (if applicable):
ovirt-engine-4.3.2.1-0.1.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. Install host using ovirt_host module
          - ovirt_host:
           auth: "{{ ovirt_auth }}"
           cluster: "Default"
           name: "host.example.com"
           address: "host.example.com"
           override_iptables: false
           power_management_enabled: false
           password: "secret"
           state: present
           activate: false
 

Actual results:
Host is successfully installed and active

Expected results:
Host is installed and in maintenance

Additional info:

This works with RHV4-API

curl \
--verbose \
--cacert /etc/pki/ovirt-engine/ca.pem \
--request POST \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "Version: 4" \
--user "admin@internal:secret" \
--data '
{
  "name": "host.example.com",
  "address": "host.example.com",
  "root_password": "secret"
}
' \
"https://rhv-m.example.com/ovirt-engine/api/hosts?activate=false"

Comment 1 Steffen Froemer 2019-03-29 13:08:49 UTC
Fixed with PR https://github.com/ansible/ansible/pull/54594/files


Note You need to log in before you can comment on or make changes to this bug.